-- Author: VertexFloat
-- Date: 07.05.2022
-- Version: Farming Simulator 22, 1.0.0.0
-- Copyright (C): VertexFloat, All Rights Reserved
-- Beware Of Straw Utils

BewareOfStrawUtil = {}

function BewareOfStrawUtil:overwriteGameFunction(object, funcName, newFunc)
    if object == nil then
        return
    end

    local oldFunc = object[funcName]

    if oldFunc ~= nil then
        object[funcName] = function (...)
            return newFunc(oldFunc, ...)
        end
    end
end